// Init:
const ql = ["ql0","ql1","ql2","ql3","ql4","ql5","ql6","ql7","ql8","ql9","ql10","ql11"]
storageAvailable("localStorage");
getQl();
hideLoading();

async function getQl(){
    var qlOpt = await getQuickLinks()
    if (qlOpt){
        var i = 0
        while (i < 12) {
            if (qlOpt[i] != 'undefined') {
                document.getElementById(`ql${i}`).value = qlOpt[i]
                i +=1
            }
        }
    }
}

async function setQl(){
    await showLoading();
    var qlSet = []
    for (i in ql) {
        var opt = document.getElementById(`ql${i}`).value
        if (opt != ""){
            qlSet.push(opt)
        }
        qlSet.sort()
    }
    localStorage.setItem("qlOpt", JSON.stringify(qlSet))
    log(`settings.setQl: User settings saved`, "INFO")
    await hideLoading();
    await showDone();
    await delay(600);
    hideDone();
}

async function clearQl(){
    showLoading();
    localStorage.removeItem("qlOpt")
    log(`settings.setQl: User settings reset to default`, "INFO")
    getQl()
    await hideLoading();
    await showDone();
    await delay(600);
    hideDone();
}

async function showDone() {
    document.getElementById("done").style = "opacity: 1";
}

async function hideDone() {
    document.getElementById("done").style = "opacity: 0";
}